Package org.eclipse.emf.compare.internal.conflict

## Class NonContainmentRefChangeConflictSearch

- java.lang.Object
- - org.eclipse.emf.compare.internal.conflict.NonContainmentRefChangeConflictSearch

    public class NonContainmentRefChangeConflictSearch
    extends Object

Search conflicts for non-containment `ReferenceChange`s.

### Nested Class Summary

Nested Classes
`static class` `NonContainmentRefChangeConflictSearch.Add` Search conflicts for non-containment `ReferenceChange` of kind `DifferenceKind.ADD`.
`static class` `NonContainmentRefChangeConflictSearch.Change` Search conflicts for non-containment `ReferenceChange` of kind `DifferenceKind.CHANGE`.
`static class` `NonContainmentRefChangeConflictSearch.Delete` Search conflicts for non-containment `ReferenceChange` of kind `DifferenceKind.DELETE`.
`static class` `NonContainmentRefChangeConflictSearch.Move` Search conflicts for non-containment `ReferenceChange` of kind `DifferenceKind.MOVE`.

### Constructor Summary

Constructors
`NonContainmentRefChangeConflictSearch()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NonContainmentRefChangeConflictSearch

    public NonContainmentRefChangeConflictSearch()